"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.twitterGraphqlParams = void 0;
exports.twitterGraphqlParams = {
    UserByRestId: {
        variables: {
            userId: '',
            withSafetyModeUserFields: true,
        },
        features: {
            hidden_profile_likes_enabled: false,
            responsive_web_graphql_exclude_directive_enabled: true,
            verified_phone_label_enabled: false,
            subscriptions_verification_info_verified_since_enabled: true,
            highlights_tweets_tab_ui_enabled: true,
            creator_subscriptions_tweet_preview_api_enabled: true,
            responsive_web_graphql_skip_user_profile_image_extensions_enabled: false,
            responsive_web_graphql_timeline_navigation_enabled: true,
        },
    },
    UserByScreenName: {
        variables: {
            screen_name: '',
            withSafetyModeUserFields: true,
        },
        features: {
            hidden_profile_likes_enabled: false,
            responsive_web_graphql_exclude_directive_enabled: true,
            verified_phone_label_enabled: false,
            subscriptions_verification_info_verified_since_enabled: true,
            highlights_tweets_tab_ui_enabled: true,
            creator_subscriptions_tweet_preview_api_enabled: true,
            responsive_web_graphql_skip_user_profile_image_extensions_enabled: false,
            responsive_web_graphql_timeline_navigation_enabled: true,
        },
    },
    UserTweets: {
        variables: {
            userId: '',
            count: 20,
            includePromotedContent: true,
            withQuickPromoteEligibilityTweetFields: true,
            withVoice: true,
            withV2Timeline: true,
        },
        features: {
            rweb_lists_timeline_redesign_enabled: true,
            responsive_web_graphql_exclude_directive_enabled: true,
            verified_phone_label_enabled: false,
            creator_subscriptions_tweet_preview_api_enabled: true,
            responsive_web_graphql_timeline_navigation_enabled: true,
            responsive_web_graphql_skip_user_profile_image_extensions_enabled: false,
            tweetypie_unmention_optimization_enabled: true,
            responsive_web_edit_tweet_api_enabled: true,
            graphql_is_translatable_rweb_tweet_is_translatable_enabled: true,
            view_counts_everywhere_api_enabled: true,
            longform_notetweets_consumption_enabled: true,
            responsive_web_twitter_article_tweet_consumption_enabled: false,
            tweet_awards_web_tipping_enabled: false,
            freedom_of_speech_not_reach_fetch_enabled: true,
            standardized_nudges_misinfo: true,
            tweet_with_visibility_results_prefer_gql_limited_actions_policy_enabled: true,
            longform_notetweets_rich_text_read_enabled: true,
            longform_notetweets_inline_media_enabled: true,
            responsive_web_media_download_video_enabled: false,
            responsive_web_enhance_cards_enabled: false,
        },
        fieldToggles: {
            withArticleRichContentState: false,
        },
    },
    UserTweetsAndReplies: {
        variables: {
            userId: '',
            count: 20,
            includePromotedContent: true,
            withQuickPromoteEligibilityTweetFields: true,
            withVoice: true,
            withV2Timeline: true,
        },
        features: {
            rweb_lists_timeline_redesign_enabled: true,
            responsive_web_graphql_exclude_directive_enabled: true,
            verified_phone_label_enabled: false,
            creator_subscriptions_tweet_preview_api_enabled: true,
            responsive_web_graphql_timeline_navigation_enabled: true,
            responsive_web_graphql_skip_user_profile_image_extensions_enabled: false,
            tweetypie_unmention_optimization_enabled: true,
            responsive_web_edit_tweet_api_enabled: true,
            graphql_is_translatable_rweb_tweet_is_translatable_enabled: true,
            view_counts_everywhere_api_enabled: true,
            longform_notetweets_consumption_enabled: true,
            responsive_web_twitter_article_tweet_consumption_enabled: false,
            tweet_awards_web_tipping_enabled: false,
            freedom_of_speech_not_reach_fetch_enabled: true,
            standardized_nudges_misinfo: true,
            tweet_with_visibility_results_prefer_gql_limited_actions_policy_enabled: true,
            longform_notetweets_rich_text_read_enabled: true,
            longform_notetweets_inline_media_enabled: true,
            responsive_web_media_download_video_enabled: false,
            responsive_web_enhance_cards_enabled: false,
        },
        fieldToggles: {
            withArticleRichContentState: false,
        },
    },
    UserMedia: {
        variables: {
            userId: '',
            count: 20,
            includePromotedContent: false,
            withClientEventToken: false,
            withBirdwatchNotes: false,
            withVoice: true,
            withV2Timeline: true,
        },
        features: {
            rweb_lists_timeline_redesign_enabled: true,
            responsive_web_graphql_exclude_directive_enabled: true,
            verified_phone_label_enabled: false,
            creator_subscriptions_tweet_preview_api_enabled: true,
            responsive_web_graphql_timeline_navigation_enabled: true,
            responsive_web_graphql_skip_user_profile_image_extensions_enabled: false,
            tweetypie_unmention_optimization_enabled: true,
            responsive_web_edit_tweet_api_enabled: true,
            graphql_is_translatable_rweb_tweet_is_translatable_enabled: true,
            view_counts_everywhere_api_enabled: true,
            longform_notetweets_consumption_enabled: true,
            responsive_web_twitter_article_tweet_consumption_enabled: false,
            tweet_awards_web_tipping_enabled: false,
            freedom_of_speech_not_reach_fetch_enabled: true,
            standardized_nudges_misinfo: true,
            tweet_with_visibility_results_prefer_gql_limited_actions_policy_enabled: true,
            longform_notetweets_rich_text_read_enabled: true,
            longform_notetweets_inline_media_enabled: true,
            responsive_web_media_download_video_enabled: false,
            responsive_web_enhance_cards_enabled: false,
        },
        fieldToggles: {
            withAuxiliaryUserLabels: false,
            withArticleRichContentState: false,
        },
    },
    UserWithProfileTweetsQueryV2: {
        variables: {
            rest_id: '',
        },
        features: {
            android_graphql_skip_api_media_color_palette: false,
            blue_business_profile_image_shape_enabled: false,
            creator_subscriptions_subscription_count_enabled: false,
            creator_subscriptions_tweet_preview_api_enabled: true,
            freedom_of_speech_not_reach_fetch_enabled: false,
            graphql_is_translatable_rweb_tweet_is_translatable_enabled: false,
            hidden_profile_likes_enabled: false,
            highlights_tweets_tab_ui_enabled: false,
            interactive_text_enabled: false,
            longform_notetweets_consumption_enabled: true,
            longform_notetweets_inline_media_enabled: false,
            longform_notetweets_richtext_consumption_enabled: true,
            longform_notetweets_rich_text_read_enabled: false,
            responsive_web_edit_tweet_api_enabled: false,
            responsive_web_enhance_cards_enabled: false,
            responsive_web_graphql_exclude_directive_enabled: true,
            responsive_web_graphql_skip_user_profile_image_extensions_enabled: false,
            responsive_web_graphql_timeline_navigation_enabled: false,
            responsive_web_media_download_video_enabled: false,
            responsive_web_text_conversations_enabled: false,
            responsive_web_twitter_article_tweet_consumption_enabled: false,
            responsive_web_twitter_blue_verified_badge_is_enabled: true,
            rweb_lists_timeline_redesign_enabled: true,
            spaces_2022_h2_clipping: true,
            spaces_2022_h2_spaces_communities: true,
            standardized_nudges_misinfo: false,
            subscriptions_verification_info_enabled: true,
            subscriptions_verification_info_reason_enabled: true,
            subscriptions_verification_info_verified_since_enabled: true,
            super_follow_badge_privacy_enabled: false,
            super_follow_exclusive_tweet_notifications_enabled: false,
            super_follow_tweet_api_enabled: false,
            super_follow_user_api_enabled: false,
            tweet_awards_web_tipping_enabled: false,
            tweet_with_visibility_results_prefer_gql_limited_actions_policy_enabled: false,
            tweetypie_unmention_optimization_enabled: false,
            unified_cards_ad_metadata_container_dynamic_card_content_query_enabled: false,
            verified_phone_label_enabled: false,
            vibe_api_enabled: false,
            view_counts_everywhere_api_enabled: false,
        },
    },
    UserWithProfileTweetsAndRepliesQueryV2: {
        variables: {
            rest_id: '',
        },
        features: {
            android_graphql_skip_api_media_color_palette: false,
            blue_business_profile_image_shape_enabled: false,
            creator_subscriptions_subscription_count_enabled: false,
            creator_subscriptions_tweet_preview_api_enabled: true,
            freedom_of_speech_not_reach_fetch_enabled: false,
            graphql_is_translatable_rweb_tweet_is_translatable_enabled: false,
            hidden_profile_likes_enabled: false,
            highlights_tweets_tab_ui_enabled: false,
            interactive_text_enabled: false,
            longform_notetweets_consumption_enabled: true,
            longform_notetweets_inline_media_enabled: false,
            longform_notetweets_richtext_consumption_enabled: true,
            longform_notetweets_rich_text_read_enabled: false,
            responsive_web_edit_tweet_api_enabled: false,
            responsive_web_enhance_cards_enabled: false,
            responsive_web_graphql_exclude_directive_enabled: true,
            responsive_web_graphql_skip_user_profile_image_extensions_enabled: false,
            responsive_web_graphql_timeline_navigation_enabled: false,
            responsive_web_media_download_video_enabled: false,
            responsive_web_text_conversations_enabled: false,
            responsive_web_twitter_article_tweet_consumption_enabled: false,
            responsive_web_twitter_blue_verified_badge_is_enabled: true,
            rweb_lists_timeline_redesign_enabled: true,
            spaces_2022_h2_clipping: true,
            spaces_2022_h2_spaces_communities: true,
            standardized_nudges_misinfo: false,
            subscriptions_verification_info_enabled: true,
            subscriptions_verification_info_reason_enabled: true,
            subscriptions_verification_info_verified_since_enabled: true,
            super_follow_badge_privacy_enabled: false,
            super_follow_exclusive_tweet_notifications_enabled: false,
            super_follow_tweet_api_enabled: false,
            super_follow_user_api_enabled: false,
            tweet_awards_web_tipping_enabled: false,
            tweet_with_visibility_results_prefer_gql_limited_actions_policy_enabled: false,
            tweetypie_unmention_optimization_enabled: false,
            unified_cards_ad_metadata_container_dynamic_card_content_query_enabled: false,
            verified_phone_label_enabled: false,
            vibe_api_enabled: false,
            view_counts_everywhere_api_enabled: false,
        },
    },
    TweetDetail: {
        variables: {
            focalTweetId: '',
            with_rux_injections: false,
            includePromotedContent: true,
            withCommunity: true,
            withQuickPromoteEligibilityTweetFields: true,
            withArticleRichContent: false,
            withBirdwatchNotes: true,
            withVoice: true,
            withV2Timeline: true,
        },
        features: {
            rweb_lists_timeline_redesign_enabled: true,
            responsive_web_graphql_exclude_directive_enabled: true,
            verified_phone_label_enabled: false,
            creator_subscriptions_tweet_preview_api_enabled: true,
            responsive_web_graphql_timeline_navigation_enabled: true,
            responsive_web_graphql_skip_user_profile_image_extensions_enabled: false,
            tweetypie_unmention_optimization_enabled: true,
            responsive_web_edit_tweet_api_enabled: true,
            graphql_is_translatable_rweb_tweet_is_translatable_enabled: true,
            view_counts_everywhere_api_enabled: true,
            longform_notetweets_consumption_enabled: true,
            responsive_web_twitter_article_tweet_consumption_enabled: false,
            tweet_awards_web_tipping_enabled: false,
            freedom_of_speech_not_reach_fetch_enabled: true,
            standardized_nudges_misinfo: true,
            tweet_with_visibility_results_prefer_gql_limited_actions_policy_enabled: true,
            longform_notetweets_rich_text_read_enabled: true,
            longform_notetweets_inline_media_enabled: true,
            responsive_web_media_download_video_enabled: false,
            responsive_web_enhance_cards_enabled: false,
        },
        fieldToggles: {
            withArticleRichContentState: false,
        },
    },
    HomeLatestTimeline: {
        variables: {
            count: 20,
            includePromotedContent: false,
            latestControlAvailable: true,
            requestContext: 'launch',
        },
        features: {
            rweb_lists_timeline_redesign_enabled: true,
            responsive_web_graphql_exclude_directive_enabled: true,
            verified_phone_label_enabled: false,
            creator_subscriptions_tweet_preview_api_enabled: true,
            responsive_web_graphql_timeline_navigation_enabled: true,
            responsive_web_graphql_skip_user_profile_image_extensions_enabled: false,
            tweetypie_unmention_optimization_enabled: true,
            responsive_web_edit_tweet_api_enabled: true,
            graphql_is_translatable_rweb_tweet_is_translatable_enabled: true,
            view_counts_everywhere_api_enabled: true,
            longform_notetweets_consumption_enabled: true,
            responsive_web_twitter_article_tweet_consumption_enabled: false,
            tweet_awards_web_tipping_enabled: false,
            freedom_of_speech_not_reach_fetch_enabled: true,
            standardized_nudges_misinfo: true,
            tweet_with_visibility_results_prefer_gql_limited_actions_policy_enabled: true,
            longform_notetweets_rich_text_read_enabled: true,
            longform_notetweets_inline_media_enabled: true,
            responsive_web_media_download_video_enabled: false,
            responsive_web_enhance_cards_enabled: false,
        },
        fieldToggles: {
            withArticleRichContentState: false,
        },
    },
    AudioSpaceById: {
        variables: {
            id: '',
            isMetatagsQuery: true,
            withReplays: true,
            withListeners: true,
        },
        features: {
            spaces_2022_h2_clipping: true,
            spaces_2022_h2_spaces_communities: true,
            responsive_web_graphql_exclude_directive_enabled: true,
            verified_phone_label_enabled: false,
            creator_subscriptions_tweet_preview_api_enabled: true,
            responsive_web_graphql_skip_user_profile_image_extensions_enabled: false,
            tweetypie_unmention_optimization_enabled: true,
            responsive_web_edit_tweet_api_enabled: true,
            graphql_is_translatable_rweb_tweet_is_translatable_enabled: true,
            view_counts_everywhere_api_enabled: true,
            longform_notetweets_consumption_enabled: true,
            responsive_web_twitter_article_tweet_consumption_enabled: false,
            tweet_awards_web_tipping_enabled: false,
            freedom_of_speech_not_reach_fetch_enabled: true,
            standardized_nudges_misinfo: true,
            tweet_with_visibility_results_prefer_gql_limited_actions_policy_enabled: true,
            responsive_web_graphql_timeline_navigation_enabled: true,
            longform_notetweets_rich_text_read_enabled: true,
            longform_notetweets_inline_media_enabled: true,
            responsive_web_media_download_video_enabled: false,
            responsive_web_enhance_cards_enabled: false,
        },
        fieldToggles: {
            withArticleRichContentState: false,
        },
    },
    AudioSpaceById_Legacy: {
        variables: {
            id: '',
            isMetatagsQuery: false,
            withSuperFollowsUserFields: false,
            withBirdwatchPivots: false,
            withDownvotePerspective: false,
            withReactionsMetadata: false,
            withReactionsPerspective: false,
            withSuperFollowsTweetFields: false,
            withReplays: true,
            withScheduledSpaces: true,
        },
    },
    AudioSpaceByRestId: {
        variables: {
            audio_space_id: '',
        },
        features: {
            super_follow_tweet_api_enabled: false,
            tweetypie_unmention_optimization_enabled: false,
            creator_subscriptions_tweet_preview_api_enabled: false,
            android_graphql_skip_api_media_color_palette: false,
            subscriptions_verification_info_enabled: false,
            freedom_of_speech_not_reach_fetch_enabled: false,
            longform_notetweets_consumption_enabled: false,
            tweet_with_visibility_results_prefer_gql_limited_actions_policy_enabled: false,
            longform_notetweets_rich_text_read_enabled: false,
            super_follow_exclusive_tweet_notifications_enabled: false,
            super_follow_user_api_enabled: false,
            blue_business_profile_image_shape_enabled: false,
            creator_subscriptions_subscription_count_enabled: false,
            longform_notetweets_inline_media_enabled: false,
            super_follow_badge_privacy_enabled: false,
        },
    },
};
//# sourceMappingURL=twitter-graphql-param.constant.js.map